{% extends 'base.html' %}

{% block title %} Welcome | Litwit {% endblock %}

{% block content %}
<!--body wrapper start-->
<div class="wrapper">
<!--hi-->
    <div class="row">
        <div class="col-md-8 col-xs-10 col-sm-1">
            <div class="explainerVideo">
            </div>
        </div>

    </div>

    <!-- Main page -->
    <div class='bookshelf'>
        <div class="row">
            <div class="col-md-8 col-md-offset-2 col-xs-12 col-sm-12">

                <div class="row">
                    <div class="col-md-12 col-xs-12 col-sm-12">
                        <h3 class="booksupdate">Unbeleivable Books at Unbelievable Prices</h3>
                    </div>

                </div>

                <div class="row">
                    {% for book, photo, price in latestBooks %}
                    <a href='/books/{{ book.pk }}/'>
                        <div class="col-md-3 col-xs-4 col-sm-4">
                            {% if not photo %}
                            <img src="/static/img/2051-200.png" style="height:100px;margin:0 auto;">
                            {% else %}
                            <img src="{{ photo.photo.url }}" style="height:100px;margin:0 auto;">
                            {% endif %}
                            <span class="bookname">{{ book.title }}</span>
                            <span class="author">{{ book.author }}</span>
                            <span class="price">{{ price }}</span>
                        </div> 
                    </a>
                    {% endfor %}

                </div>
            </div>
        </div>
    </div>

    <div class="vision">
        <div class="row">
            <div class="col-md-8 col-md-offset-2 col-xs-12 col-sm-12 carouselBox">


                <!-- Indicators -->
                <div id="myCarousel" class="carousel slide" data-interval="false" data-ride="carousel" style="margin:0 auto;">

                    <!-- Indicators -->
                    <!-- <ol class="carousel-indicators"> -->
                    <!--     {% for b,image,price in bestSellers %} -->
                    <!--     {% if forloop.counter0 != 0 %} -->
                    <!--     <li data-target="#myCarousel" data-slide-to="{{ forloop.counter0 }}"></li> -->
                    <!--     {% else %} -->
                    <!--     <li data-target="#myCarousel" data-slide-to="0" class="active"></li> -->
                    <!--     {% endif %} -->
                    <!--     {% endfor %} -->
                    <!-- </ol> -->

                    <!-- Wrapper for slides -->
                    <div class="carousel-inner" role="listbox">

                        <!-- <div class="item">
                            {% for b,image,price in bestSellers %}
                            {% if forloop.counter0 != 0 and forloop.counter0|divisibleby:6 %}
                            </div>
                            <div class="item">
                            {% endif %}
                            <a href='/books/{{ b.pk }}'>
                            {% if image.photo.url %}
                            <img class='col-xs-2' src="{{ image.photo.url }}" alt="{{ b.title }}">
                            {% else %}
                            <img class='col-xs-2' src="/static/img/2051-200.png" alt="{{ b.title }}">
                            {% endif %}
                            </a>
                            {% endfor %}
                            </div> -->
                    </div>

                    <!-- Left and right controls -->
                    <a class="left carousel-control" href="#myCarousel" role="button" data-slide="prev">
                        <span class="arrows fa fa-arrow-left" aria-hidden="true"></span>
                        <span class="sr-only">Previous</span>
                    </a>
                    <a class="right carousel-control" href="#myCarousel" role="button" data-slide="next">
                        <span class="arrows fa fa-arrow-right" aria-hidden="true"></span>
                        <span class="sr-only">Next</span>
                    </a>
                </div>



            </div>
        </div>
    </div>

    <!-- <div class="reviews"> -->
    <!--     <div class="row"> -->
    <!--         <div class="col-md-8 col-md-offset-2 col-xs-8 col-xs-offset-2 col-sm-12"> -->
    <!--             <div class="row" style="margin-bottom:10px;"> -->
    <!--                 <div class='col-md-12 col-xs-6 col-sm-6 underline'> -->
    <!--                     Book Reviews -->
    <!--                 </div> -->
    <!--             </div> -->
    <!--             <div class="row"> -->
    <!--                 <div class="col-md-3 col-xs-6 col-sm-6"> -->

    <!--                     <img src="/static/img/2051-200.png" class="col-md-8 col-xs-10 col-sm-10" style="height:67px;margin:0 auto;display:inline;"> -->
    <!--                     <div class="row"> -->

    <!--                         <span class="bookname col-md-12">Book Name</span> -->
    <!--                         <span class="review col-md-12">review</span> -->
    <!--                     </div> -->


    <!--                 </div> --> 


    <!--                 <div class="col-md-3 col-xs-6 col-sm-6"> -->

    <!--                     <img src="/static/img/2051-200.png" class="col-md-8 col-xs-10 col-sm-10" style="height:67px;margin:0 auto;display:inline;"> -->
    <!--                     <div class="row"> -->

    <!--                         <span class="bookname col-md-12">Book Name</span> -->
    <!--                         <span class="review col-md-12">review</span> -->
    <!--                     </div> -->


    <!--                 </div> --> 


    <!--                 <div class="col-md-3 col-xs-6 col-sm-6"> -->

    <!--                     <img src="/static/img/2051-200.png" class="col-md-8 col-xs-10 col-sm-10" style="height:67px;margin:0 auto;display:inline;"> -->
    <!--                     <div class="row"> -->

    <!--                         <span class="bookname col-md-12">Book Name</span> -->
    <!--                         <span class="review col-md-12">review</span> -->
    <!--                     </div> -->


    <!--                 </div> --> 


    <!--                 <div class="col-md-3 col-xs-6 col-sm-6"> -->

    <!--                     <img src="/static/img/2051-200.png" class="col-md-8 col-xs-10 col-sm-10" style="height:67px;margin:0 auto;display:inline"> -->
    <!--                     <div class="row"> -->

    <!--                         <span class="bookname col-md-12">Book Name</span> -->
    <!--                         <span class="review col-md-12">review</span> -->
    <!--                     </div> -->


    <!--                 </div> --> 


    <!--             </div> -->
    <!--         </div> -->
    <!--     </div> -->





    <!-- </div> -->
    <div class="col-xs-10 col-xs-offset-1 col-md-8 col-md-offset-2 carouselBox">
        <div id='carousel-example-generic' class="carousel slide" data-ride="carousel" style="margin:0 auto;">
            <!-- Indicators -->
            <ol class="carousel-indicators">
                {% for x,y,z in bestSellers %}
                    {% if forloop.counter0 == 0 %}
                        <li data-target="#carousel-example-generic" data-slide-to="{{ forloop.counter0 }}" class="active"></li>
                    {% else %}
                        <li data-target="#carousel-example-generic" data-slide-to="{{ forloop.counter }}"></li>
                    {% endif %}
                {% endfor %}
            </ol>

            <!-- Wrapper for slides -->
            <div class="carousel-inner" id="reviews" role="listbox">
                {% for book, photo, price in bestSellers %}
                <div class="item">
                    <a href="/books/{{ book.pk }}/">
                        <img src="{{ photo.photo.url }}" alt="{{ book.title }}" class="col-md-6 col-md-offset-3 col">
                        <div class="carousel-caption">
                            {{ book.title }}
                        </div>
                    </a>
                </div>
                {% endfor %}
            </div>

            <!-- Controls -->
            <a class="left carousel-control" href="#carousel-example-generic" role="button" data-slide="prev">
                <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="right carousel-control" href="#carousel-example-generic" role="button" data-slide="next">
                <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>

        </div>
    </div>
</div>
<!--body wrapper end-->

{% endblock %}
